Update a group
curl --request PATCH \
--url https://api.scrip.dev/v1/groups/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Updated Team Name"
}
'import requests
url = "https://api.scrip.dev/v1/groups/{id}"
payload = { "name": "Updated Team Name" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Team Name'})
};
fetch('https://api.scrip.dev/v1/groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2024-01-15T10:30:00Z",
"deleted_at": "2024-06-01T00:00:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Sales Team",
"status": "ACTIVE",
"updated_at": "2024-01-15T10:30:00Z"
}{
"code": "bad_request",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Invalid request parameters"
}{
"code": "unauthorized",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Missing or invalid credentials"
}{
"code": "forbidden",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Insufficient permissions for this action"
}{
"code": "not_found",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Resource not found"
}{
"code": "unsupported_media_type",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Content-Type must be application/json"
}{
"code": "internal_error",
"message": "An internal error occurred"
}Groups
Update a group
Update a group.
PATCH
/
v1
/
groups
/
{id}
Update a group
Updates mutable fields on a group, such as its
name. Only the fields you include in the request body are changed; omitted fields remain untouched.
Archived groups cannot be updated. Archiving is permanent; there is no unarchive operation.
For usage patterns and examples, see the Groups guide.
Authorizations
ApiKeyAuthBearerAuth
API key passed in the X-API-Key header.
Path Parameters
Group ID
Body
application/json
Fields to update
New display name for the group (1-255 chars)
Required string length:
1 - 255Example:
"Updated Team Name"
Response
Updated group
When this group was created
Example:
"2024-01-15T10:30:00Z"
When the group was archived (present only if archived)
Example:
"2024-06-01T00:00:00Z"
Unique identifier for this group
Example:
"550e8400-e29b-41d4-a716-446655440000"
Display name of the group
Example:
"Sales Team"
Lifecycle status: ACTIVE or ARCHIVED
Example:
"ACTIVE"
When this group was last updated
Example:
"2024-01-15T10:30:00Z"
⌘I